$(document).ready(function () {
  // start the wow effects
  new WOW().init();

  // parallax logic
  const start_parallax_animation = function () {
    $(".parallax").each(function (i, obj) {
      var speed = $(this).attr("parallax-speed");
      if (speed) {
        var background_pos = "-" + window.pageYOffset / speed + "px";
        $(this).css("background-position", "center " + background_pos);
      }
    });
  };

  // run it again every time you scroll
  $(window).scroll(function () {
    start_parallax_animation();
  });

  //when scrolling navbar animation
  $(document).on("scroll", function (e) {
    var alpha = $(document).scrollTop() / 40;
    $(".navbar").css("background-color", "rgba(255,255,255," + alpha + ")");
    $(".navbar").css("padding-top", "calc(150px - " + alpha + ")");
    if (alpha >= 0.9) {
      $(".navbar").addClass("light-theme");
      $(".navbar .navbar-brand").removeClass("zoomOut animated");
      $(".navbar .navbar-brand").addClass("zoomIn animated");
      $(".navbar .navbar-brand .navbar-item").css("display", "block");
      // $('.main-image img').css('display', 'none');
      $(".main-image .column").removeClass("animated zoomIn");
      $(".main-image .column").addClass("animated zoomOut");
    } else {
      $(".navbar").removeClass("light-theme");
      $(".navbar .navbar-brand").removeClass("zoomIn animated");
      $(".navbar .navbar-brand").addClass("zoomOut animated");
      $(".main-image .column").removeClass("animated zoomOut");
      $(".main-image .column").addClass("animated zoomIn");
    }
  });

  //scrollspy
  $(window).bind("scroll", function () {
    var currentTop = $(window).scrollTop() + 450;
    var elems = $(".section");
    elems.each(function (index) {
      var elemTop = $(this).offset().top;
      var elemBottom = elemTop + $(this).height();
      if (currentTop >= elemTop && currentTop <= elemBottom) {
        var id = $(this).attr("id");
        var navElem = $('a[href="#' + id + '"]');
        navElem.addClass("active").siblings().removeClass("active");
      }
      if (currentTop <= 500) {
        var id = $(this).attr("id");
        var navElem = $('a[href="#' + id + '"]');
        navElem.siblings().removeClass("active");
      }
    });
  });

  const dateObj = new Date();
  this.newDate = dateObj.getUTCFullYear();
  document.getElementById(
    "date"
  ).innerHTML = `&copy; ${this.newDate}, Company gmbh`;

  //up to top of page
  $("#up").on("click", function () {
    $("html,body").animate({ scrollTop: 0 }, 2000);
  });
});

function scrollDown() {
  const id = "skills",
   yOffset = -64,
   element = document.getElementById(id),
   y = element.getBoundingClientRect().top + window.pageYOffset + yOffset;
  window.scrollTo({ top: y, behavior: "smooth" });
}

$(document).on("click", 'a[href^="#"]', function (event) {
  event.preventDefault();

  $("html, body").animate(
    {
      scrollTop: $($.attr(this, "href")).offset().top - 300,
    },
    500
  );
});

//bulma's default script for burger menu to be opened by small devices
document.addEventListener("DOMContentLoaded", function () {
  // Get all "navbar-burger" elements
  var $navbarBurgers = Array.prototype.slice.call(
    document.querySelectorAll(".navbar-burger"),
    0
  );

  // Check if there are any navbar burgers
  if ($navbarBurgers.length > 0) {
    // Add a click event on each of them
    $navbarBurgers.forEach(function ($el) {
      $el.addEventListener("click", function () {
        // Get the target from the "data-target" attribute
        var target = $el.dataset.target;
        var $target = document.getElementById(target);
        // Toggle the class on both the "navbar-burger" and the "navbar-menu"
        $el.classList.toggle("is-active");
        $target.classList.toggle("is-active");
      });
    });
  }
});
